libfreehand::FHTransform Struct Reference documentation

libfreehand::FHTransform Struct Reference

`#include <FHTransform.h>`

## Public Member Functions
| FHTransform ()
| FHTransform (double m11, double m21, double m12, double m22, double m13, double m23)
| FHTransform (const FHTransform &trafo)
FHTransform & | operator= (const FHTransform &trafo)
void | applyToPoint (double &x, double &y) const
void | applyToArc (double &rx, double &ry, double &rotation, bool &sweep, double &endx, double &endy) const

## Public Attributes
double | m_m11
double | m_m21
double | m_m12
double | m_m22
double | m_m13
double | m_m23

## Constructor & Destructor Documentation

## ◆ FHTransform() [1/3]

libfreehand::FHTransform::FHTransform | ( |  | ) |

Referenced by FHTransform(), and operator=().

## ◆ FHTransform() [2/3]

libfreehand::FHTransform::FHTransform | ( | double | m11,
|  | double | m21,
|  | double | m12,
|  | double | m22,
|  | double | m13,
|  | double | m23 )

## ◆ FHTransform() [3/3]

libfreehand::FHTransform::FHTransform | ( | const FHTransform & | trafo | ) |
| default

## Member Function Documentation

## ◆ applyToArc()

void libfreehand::FHTransform::applyToArc | ( | double & | rx,
|  | double & | ry,
|  | double & | rotation,
|  | bool & | sweep,
|  | double & | endx,
|  | double & | endy ) const

Referenced by libfreehand::FHArcToElement::transform().

## ◆ applyToPoint()

void libfreehand::FHTransform::applyToPoint | ( | double & | x,
|  | double & | y ) const

Referenced by libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_normalizePoint(), libfreehand::FHCollector::_outputDisplayText(), libfreehand::FHCollector::_outputImageImport(), libfreehand::FHCollector::_outputTextObject(), applyToArc(), libfreehand::FHCubicBezierToElement::transform(), libfreehand::FHLineToElement::transform(), libfreehand::FHMoveToElement::transform(), and libfreehand::FHQuadraticBezierToElement::transform().

## ◆ operator=()

libfreehand::FHTransform & libfreehand::FHTransform::operator= | ( | const FHTransform & | trafo | ) |
| default

## Member Data Documentation

## ◆ m_m11

double libfreehand::FHTransform::m_m11

Referenced by applyToArc(), applyToPoint(), FHTransform(), FHTransform(), and libfreehand::FHParser::readSymbolInstance().

## ◆ m_m12

double libfreehand::FHTransform::m_m12

Referenced by applyToArc(), applyToPoint(), FHTransform(), FHTransform(), and libfreehand::FHParser::readSymbolInstance().

## ◆ m_m13

double libfreehand::FHTransform::m_m13

Referenced by applyToPoint(), FHTransform(), FHTransform(), and libfreehand::FHParser::readSymbolInstance().

## ◆ m_m21

double libfreehand::FHTransform::m_m21

Referenced by applyToArc(), applyToPoint(), FHTransform(), FHTransform(), and libfreehand::FHParser::readSymbolInstance().

## ◆ m_m22

double libfreehand::FHTransform::m_m22

Referenced by applyToArc(), applyToPoint(), FHTransform(), FHTransform(), and libfreehand::FHParser::readSymbolInstance().

## ◆ m_m23

double libfreehand::FHTransform::m_m23

Referenced by applyToPoint(), FHTransform(), FHTransform(), and libfreehand::FHParser::readSymbolInstance().

The documentation for this struct was generated from the following files:

- FHTransform.h
- FHTransform.cpp